# optimsimplex_dirmat

Computes the directions.

## Calling Sequence

                m = optimsimplex_dirmat(opt)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

m

  A n-by-n matrix of doubles.

## Description

The `optimsimplex_dirmat` function returns the matrix of simplex directions, i.e. the matrix of differences of vertices coordinates with respect to the vertex #1.

## Example

    s1 = optimsimplex_new ();
    simplex = [
    3.  1.  1.
    4.  1.  1.
    5.  0.  2.
    ];
    s1 = optimsimplex_setall ( s1 , simplex );
    m = optimsimplex_dirmat ( s1 );
    disp(m)

    s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_new